com.tibco.bpm.service.connector

## Class CalendarService

- java.lang.Object
- - com.tibco.bpm.service.connector.CalendarService

- All Implemented Interfaces:
    CalendarService

  Deprecated.
  since AMX-BPM 2.0.0 use `WorkCalService`.

      public class CalendarService
      extends java.lang.Object
      implements CalendarService

  Provides access to the CalendarService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `addWorkingDayExceptions(java.lang.String guid, com.tibco.n2.dac.api.XmlNewWorkingDayExceptionType[] addExceptions)` Deprecated. Adds new working day exceptions for a given entity.
    `java.lang.String` | `deleteWorkingDayExceptions(java.lang.String guid, java.lang.String[] deleteExceptions)` Deprecated. Removes existing working day exceptions for a given entity.
    `com.tibco.n2.dac.api.XmlCalendarEntriesType` | `getCalendarEntries(java.lang.String guid, java.util.Calendar startDateTime, java.util.Calendar endDateTime, com.tibco.n2.dac.api.XmlRequiredDetailType.Enum[] requiredDetail)` Deprecated. Return the working time for a given entity.
    `java.lang.String` | `updateWorkingDayExceptions(java.lang.String guid, com.tibco.n2.dac.api.XmlExistingWorkingDayExceptionType[] updateExceptions)` Deprecated. Updates existing working day exceptions for a given entity.
    `java.lang.String` | `updateWorkingDays(java.lang.String guid, com.tibco.n2.dac.api.XmlDayType[] workingDay)` Deprecated. Modifies the working days for a given entity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCalendarEntries

          public com.tibco.n2.dac.api.XmlCalendarEntriesType getCalendarEntries(java.lang.String guid,
                                                                                java.util.Calendar startDateTime,
                                                                                java.util.Calendar endDateTime,
                                                                                com.tibco.n2.dac.api.XmlRequiredDetailType.Enum[] requiredDetail)
                                                                         throws com.tibco.n2.dac.services.CalendarFault,
                                                                                com.tibco.n2.dac.services.SecurityFault

      Deprecated.
      Description copied from interface: `CalendarService`
      Return the working time for a given entity.

      This method should be called before calling `CalendarService.updateWorkingDayExceptions(java.lang.String, com.tibco.n2.dac.api.XmlExistingWorkingDayExceptionType[])` or `CalendarService.deleteWorkingDayExceptions(java.lang.String, java.lang.String[])` in order to obtain the GUID of working day exception that is to be modified.

      Specified by:
        `getCalendarEntries` in interface `CalendarService`
      Parameters:
        `guid` - The GUID of the Calendar that contains the working time entries to be returned.
        `startDateTime` - (Optional) Constraint for filtering the working day exceptions to be returned based on their date.
        `endDateTime` - (Optional) Constraint for filtering the working day exceptions to be returned based on their date.
        `requiredDetail` - (Optional) Specifies the level of detail required in the response.
      Returns:
        Returns a `XmlCalendarEntriesType`.

        This contains the time zone information for the calendar if defined and the working week and working day exceptions as defined in the calendar.

      Throws:
        `com.tibco.n2.dac.services.CalendarFault` - In the event that the calendar can not be queried.
        `com.tibco.n2.dac.services.SecurityFault` - In the event that incorrect security information is presented.

    - #### updateWorkingDays

          public java.lang.String updateWorkingDays(java.lang.String guid,
                                                    com.tibco.n2.dac.api.XmlDayType[] workingDay)
                                             throws com.tibco.n2.dac.services.CalendarFault,
                                                    com.tibco.n2.dac.services.SecurityFault

      Deprecated.
      Description copied from interface: `CalendarService`
      Modifies the working days for a given entity.

      To modify or remove working days the previous entries should be overwritten.

      Specified by:
        `updateWorkingDays` in interface `CalendarService`
      Parameters:
        `guid` - The GUID of the Calendar that contains the working days entries to be modified.
        `workingDay` - An array of working day information containing the working day and associated working hours for each working day.
      Returns:
        Returns a `String` confirmation code with respect to the update.

      Throws:
        `com.tibco.n2.dac.services.CalendarFault` - In the event that the calendar can not be queried.
        `com.tibco.n2.dac.services.SecurityFault` - In the event that incorrect security information is presented.

    - #### addWorkingDayExceptions

          public java.lang.String[] addWorkingDayExceptions(java.lang.String guid,
                                                            com.tibco.n2.dac.api.XmlNewWorkingDayExceptionType[] addExceptions)
                                                     throws com.tibco.n2.dac.services.CalendarFault,
                                                            com.tibco.n2.dac.services.SecurityFault

      Deprecated.
      Description copied from interface: `CalendarService`
      Adds new working day exceptions for a given entity.
      Specified by:
        `addWorkingDayExceptions` in interface `CalendarService`
      Parameters:
        `guid` - The GUID of the Calendar that will contain the working day exceptions to be added.
        `addExceptions` - An array of working day exception information containing dates and times of working day exceptions and whether they are to be marked as free or busy time.
      Returns:
        Returns an array of `String`. Each one will contain the GUID of the working day exception that has been added.
      Throws:
        `com.tibco.n2.dac.services.CalendarFault` - In the event that the calendar can not be queried.
        `com.tibco.n2.dac.services.SecurityFault` - In the event that incorrect security information is presented.

    - #### updateWorkingDayExceptions

          public java.lang.String updateWorkingDayExceptions(java.lang.String guid,
                                                             com.tibco.n2.dac.api.XmlExistingWorkingDayExceptionType[] updateExceptions)
                                                      throws com.tibco.n2.dac.services.CalendarFault,
                                                             com.tibco.n2.dac.services.SecurityFault

      Deprecated.
      Description copied from interface: `CalendarService`
      Updates existing working day exceptions for a given entity.
      Specified by:
        `updateWorkingDayExceptions` in interface `CalendarService`
      Parameters:
        `guid` - The GUID of the Calendar that will contain the working day exceptions to be modified.
        `updateExceptions` - An array of working day exception information containing updated dates and times of working day exceptions and whether they are to be marked as free or busy time. Each modification is based on the working day exception's GUID.
      Returns:
        Returns a `String` confirmation code with respect to the update.

      Throws:
        `com.tibco.n2.dac.services.CalendarFault` - In the event that the calendar can not be queried.
        `com.tibco.n2.dac.services.SecurityFault` - In the event that incorrect security information is presented.

    - #### deleteWorkingDayExceptions

          public java.lang.String deleteWorkingDayExceptions(java.lang.String guid,
                                                             java.lang.String[] deleteExceptions)
                                                      throws com.tibco.n2.dac.services.CalendarFault,
                                                             com.tibco.n2.dac.services.SecurityFault

      Deprecated.
      Description copied from interface: `CalendarService`
      Removes existing working day exceptions for a given entity.
      Specified by:
        `deleteWorkingDayExceptions` in interface `CalendarService`
      Parameters:
        `guid` - The GUID of the Calendar that will contain the working day exceptions to be deleted.
        `deleteExceptions` - An array of `String` containing the GUIDs of the working day exceptions to be removed.
      Returns:
        Returns a `String` confirmation code with respect to the update.

      Throws:
        `com.tibco.n2.dac.services.CalendarFault` - In the event that the calendar can not be queried.
        `com.tibco.n2.dac.services.SecurityFault` - In the event that incorrect security information is presented.

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.